services:
  db-common:
    image: mysql:5.7 # if you change this, update stack.prod.yml accordingly
    environment:
      - TZ=Europe/Paris

  www-common:
    image: ghcr.io/melting-k/www:7.4 # if you change this, update stack.prod.yml accordingly

  phpmyadmin-common:
    image: phpmyadmin
    ports:
      - "8080:80"
    environment:
      PMA_HOST: db

  maildev-common:
    image: maildev/maildev
    command: bin/maildev --web 80 --smtp 25 --hide-extensions STARTTLS
    ports:
      - "8025:80"

  node-common:
    image: ghcr.io/melting-k/node:10.2
    ports:
      - "3000:3000"
    tty: true
